Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1043 Mumble hanging immediately after loading

unspecified
open
nobody
None
unspecified
5
2013-11-02
2013-10-03
Ellie S
No

My mumble is crashing immediately after it's loaded.
Not sure of a list of steps to reproduce it other than simply opening it. It didn't have any issues a couple of days ago and I've completely deinstalled and remove the folder from the roaming area before reinstalling and tried deinstalling the only program that's been installed on my PC since I last used mumble which didn't help.

I've tried disabling the bonjour service.

I started on version 1.2.4 and tried updating to the latest snapshot, occurs regardless of version.

Pastebin link of the debug copy-paste; http://pastebin.com/fZZPDk81
I've attached my dxdiag.txt as well, the sound I use for mumble is "Speakers (Realtek High Definition Audio)"

I'm using Windows 7

1 Attachments

Related

Bugs: #1043

Discussion

  • Ellie S
    Ellie S
    2013-10-04

    I've now narrowed down the issue as being a conflict between Mumble and my Razer Synapse 2.

    Version 1.12 worked fine, reinstalling the software to that version worked, but it then has to be updated and something in the 1.14 version is hanging my Mumble.

     
    • joev
      joev
      2013-10-06

      Confirmed.

      I uninstalled Razer Synapse 2, V1.14 and then ran Mumble 1.2.4 (and current snapshot)... Mumble worked fine so long as latest Synapse is not installed.

      Simply installing Razer Synapse causes the issue. Have tried variations to confirm including rebooting, not rebooting, closing down apps identified to have issues when installing (necessitating a reboot) and not doing so. All scenarios yield the same result (as Ellie S says). Mumble hangs (and rams the CPU hard) I even had mumble running once while installing synapse and as soon as synapse installed, mumble hung on the spot.

      OS is Windows 7(.1) Pro (64bit).

       
  • Andre
    Andre
    2013-10-11

    I'm having a similar problem, I launch Mumble Client, and it hangs in a "background" state windows ding when i click on it, greyed out menu bar, but i don't have Razer software installed any other ideas?

     
  • Ellie S
    Ellie S
    2013-10-11

    I got a response from Razer saying it might be caused by a .NET Framework corruption so I tried de-installing and reinstalling it as well as Mumble, although it didn't work for me, maybe that solution will help you Andre?

     
  • Andre
    Andre
    2013-10-11

    Thanks Ellie, I'll try that and get back to you

     
  • Andre
    Andre
    2013-10-11

    No luck, I tried repairing the .NET install, but that didn't do anything even after it forced a reboot. I'm pretty stuck it's weird that it would stop working out of the blue. Although last night Windows did update itsself so maybe something in the latest drop from MS broke mumble?

     
  • Andre
    Andre
    2013-10-11

    ok been messing with it some more. No servers are showing up in the right side of the window pane where they usually do. Also, if I press ESCAPE, the window comes to the fore, and I can select menu options, but neither the connect menu entry nor the connect button work. I can select them, but nothing happens. The Audio Config Wizard does work and is select-able...

     
  • Andre
    Andre
    2013-10-11

    figured it out, the problem was between the Chair and the Keyboard!
    The popup window was getting shot to my second monitor even though I don't use it =I

     
  • Ellie S
    Ellie S
    2013-10-12

    Sadly I can't say the same.

    After going through all I could with Razer to fix the issue there is nothing more they can do for me as they were not able to replicate the problem, as it's a pretty isolated issue. :(

     
    Last edit: Ellie S 2013-10-12
  • Ellie S
    Ellie S
    2013-10-14

    joev out of curiosity, do you use a Razer Nostromo? If so, try unplug it and test your mumble. Somehow that allowed me to run mine, although I'm confused on what mumble would have in common with it.

     
    • joev
      joev
      2013-10-14

      Yes I do. That's an interesting find. I'll verify this evening if plugging out my Nostromo has the same effect.

       
      • joev
        joev
        2013-10-14

        Excellent. Razer Nostromo is indeed the source of the problem. In fact, I have verified that Mumble becomes UI unresponsive (completely) but will continue to work (i.e. receive and transmit) if the Nostromo is plugged in at all.

        Reproduction is easy: Unplug Nostromo, Start Mumble. Connect to a mumble server. Plug in Nostromo. Sound works, UI becomes completely locked. Unplug Nostromo. Mumble UI becomes responsive again. Rinse, repeat.

         
  • Ellie S
    Ellie S
    2013-10-15

    Do you have other Razer products too?

    I have a Naga Epic mouse and a Deathstalker Ultimate keyboard.

    Trying to give them as much information as I possibly can.

     
    • joev
      joev
      2013-10-15

      Hello online gaming twin! :)

      Yes, self same kit.

      However, I've experimented with unplugging and replacing both of those and only the Nostromo causes this issue (on my rig).

       
  • Ellie S
    Ellie S
    2013-10-15

    Hah, that was unexpected. :)

    Forwarding any information I can get off to Razer. Since we have the same setup, I'm hoping that may make it easier for them to locate the cause, fingers crossed anyway.

    I found it out when I was unplugging them put them back one at a time, as soon as I reached my Nostromo, it started up again. Pretty strange!

     
    • flemdawg
      flemdawg
      2013-10-18

      Hey guys flemdawg here. I have the same issue as well.
      I updated my razer synapse 2.0 and since then mumble hangs up on loading up.
      Just as a fluke, I unplugged my keyboard and bam it was working. Plug it back in freezes.

      My setup is Orbweaver, Naga epic, Deathstalker ultimate. So i want to keep synapse running, but i'm forced to shut it down so I can play WoW. Otherwise, I can't hear my guild in mumble for raid.

      If you close all the Razer processes EXCEPT synapse mumble still freezes. To me that proves it is synapse itself and the update had some bad juju in it.

       
  • Ellie S
    Ellie S
    2013-10-19

    Yeah for sure. I've forwarded all my information off to Razer so mostly just playing the waiting game while they figure out what the issue actually is now.

     
  • joev
    joev
    2013-10-31

    3 Additional things to add to this:

    1. Switched my Nostromo to an Orbweaver. Problem remains so I'd guess it's any of the keypads through Synapse.

    2. If I unplug my Orbweaver, start Mumble and then plug in the Orbweaver, Sound will continue to be transmitted and received. However; My friends on Mumble tell me the sound becomes completely distorted. Unplug the Orbweaver, everything returns to normal. (Note: My headset is Razer Megalodon - yeah, I know... fanboi!)

    3. Interesting addition: ARMA 3, experiencing the self same problem! Are they using something from the Mumble codebase for their in-game chat system I wonder?

    This bug is still unassigned, I'm guessing because the devs wouldn't experience it unless they have the self-same setups as us making it very difficult to debug. That being the case, if anyone on the dev team is able to look at this issue I'm willing to do whatever someone needs to help debug this. Just drop me a line.

    Ellie... do you think you could update Razer with this info (especially about Arma 3)?

     
  • Ellie S
    Ellie S
    2013-11-01

    I just sent another email asking if there was any progress, forwarded that info on as well.

    Hopefully something happens with it soon though.

     
  • flemdawg
    flemdawg
    2013-11-01

    I haven't gotten anything back from them either. Tempted to check the
    latest synapse and see if they fixed it...
    On Oct 31, 2013 6:22 PM, "Ellie S" asiledreamar@users.sf.net wrote:

    I just sent another email asking if there was any progress, forwarded that
    info on as well.

    Hopefully something happens with it soon though.

    Status: open
    Created: Thu Oct 03, 2013 02:08 PM UTC by Ellie S
    Last Updated: Thu Oct 31, 2013 06:26 PM UTC
    Owner: nobody

    My mumble is crashing immediately after it's loaded.
    Not sure of a list of steps to reproduce it other than simply opening it.
    It didn't have any issues a couple of days ago and I've completely
    deinstalled and remove the folder from the roaming area before reinstalling
    and tried deinstalling the only program that's been installed on my PC
    since I last used mumble which didn't help.

    I've tried disabling the bonjour service.

    I started on version 1.2.4 and tried updating to the latest snapshot,
    occurs regardless of version.

    Pastebin link of the debug copy-paste; http://pastebin.com/fZZPDk81
    I've attached my dxdiag.txt as well, the sound I use for mumble is
    "Speakers (Realtek High Definition Audio)"

    I'm using Windows 7

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mumble/bugs/1043/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1043

    • Ellie S
      Ellie S
      2013-11-01

      Unfortunately no, at least for me, it doesn't.

      There have been two updates. One on the 17th and another on the 31st, neither resolved the bug.

       
  • Ellie S
    Ellie S
    2013-11-02

    Got a response... No ETA as of yet.

    Must be a pain in the butt bug to squish. :(